# --------------------------------------------------------


CREATE TABLE broken (
  reportid int(5) NOT NULL auto_increment,
  lid int(11) unsigned NOT NULL default '0',
  sender int(11) unsigned NOT NULL default '0',
  ip varchar(20) NOT NULL default '',
  repodate int(10) NOT NULL default '0',
  status tinyint(1) NOT NULL default '0',
  PRIMARY KEY (reportid),
  KEY lid (lid),
  KEY sender (sender),
  KEY ip (ip)
) ENGINE=MyISAM;
# --------------------------------------------------------


CREATE TABLE cat (
  cid smallint(5) unsigned NOT NULL auto_increment,
  pid smallint(5) unsigned NOT NULL default '0',
  corder int(11) unsigned NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  imgurl varchar(255) NOT NULL default '',
  PRIMARY KEY (cid),
  KEY pid (pid),
  KEY corder (corder)
) ENGINE=MyISAM;
# --------------------------------------------------------


CREATE TABLE links (
  lid int(11) unsigned NOT NULL auto_increment,
  cid varchar(255) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  murl varchar(255) NOT NULL default '',
  submitter int(11) unsigned NOT NULL default '0',
  guestname varchar(50) NOT NULL default '',
  status tinyint(2) NOT NULL default '0',
  date int(10) NOT NULL default '0',
  hits int(11) unsigned NOT NULL default '0',
  rating double(6,4) NOT NULL default '0.0000',
  votes int(11) unsigned NOT NULL default '0',
  access int(11) unsigned NOT NULL default '0',
  adult tinyint(1) NOT NULL default '0',
  ip varchar(20) NOT NULL default '',
  PRIMARY KEY (lid),
  KEY cid (cid),
  KEY status (status),
  KEY title (title)
) ENGINE=MyISAM;
# --------------------------------------------------------


CREATE TABLE text (
  lid int(11) unsigned NOT NULL default '0',
  description text NOT NULL,
  KEY lid (lid)
) ENGINE=MyISAM;
# --------------------------------------------------------


CREATE TABLE request (
  requestid int(11) unsigned NOT NULL auto_increment,
  lid int(11) unsigned NOT NULL default '0',
  description text NOT NULL,
  modifysubmitter int(11) unsigned NOT NULL default '0',
  reqdate int(10) NOT NULL default '0',
  ip varchar(20) NOT NULL default '',
  status tinyint(1) NOT NULL default '0',
  PRIMARY KEY (requestid)
) ENGINE=MyISAM;
# --------------------------------------------------------


CREATE TABLE rating (
  ratingid int(11) unsigned NOT NULL auto_increment,
  lid int(11) unsigned NOT NULL default '0',
  ratinguser int(11) unsigned NOT NULL default '0',
  rating tinyint(3) unsigned NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingtimestamp int(10) NOT NULL default '0',
  PRIMARY KEY  (ratingid),
  KEY ratinguser (ratinguser),
  KEY ratinghostname (ratinghostname)
) ENGINE=MyISAM;
